## freeciv 2.6.6

=== win32/installer/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# Usage:
#
# 1. download and extract the MinGW build environment from
#    https://sourceforge.net/projects/freeciv/files/dependencies/gnuwin32/
#    Current version is gnuwin32-2020-01-02.
# 2. double click on "gnuwin32/msys.bat"
# 3. install the development packages:
#    $ hg qpush -a
# 4. close current session and restart msys.bat. This is required
#    for PATH to be set correctly after development packages
#    installation.
# 5. change into the Freeciv directory where this Makefile resides
#    $ cd <path_to_freeciv_source>/win32/installer
# 6. run make
#    $ make
# 7. find the installer executables in the 'Output' directory
#

#
# Variable setup
#

ifeq ($(MIN_WIN_VER),)
MIN_WIN_VER=0x0600
endif

#
# Make rules
#


# by default build all installers
all: gtk3-installer gtk2-installer sdl2-installer sdl-installer qt-installer ruledit-installer

gtk3-installer:
	make GUI=gtk3 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3

gtk2-installer:
	make GUI=gtk2 FCMP=gtk2 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk2

sdl2-installer:
	make GUI=sdl2 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-sdl2

sdl-installer:
	make GUI=sdl FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit --enable-sdl-mixer=sdl1.2 $(EXTRA_CONFIG)" wrap-sdl

qt-installer:
	make GUI=qt FCMP=qt wrap-qt

ruledit-installer:
	make wrap-ruledit

snapshot:
	cd ../.. ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" all


# build Freeciv

build-freeciv-common:
	# create build directory
	mkdir -p build-$(GUI)
	# configure
	cd build-$(GUI); ../../../configure CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=$(FCMP) --with-cacert-path="./ssl/certs/ca-bundle.crt" $(EXTRA_CONFIG)
	# make
	make -C build-$(GUI)
	make -C build-$(GUI)/translations/freeciv update-po
	make -C build-$(GUI)/bootstrap langstat_freeciv.txt

build-freeciv-ruledit:
	# create build directory
	mkdir -p build-ruledit
	# configure
	cd build-ruledit; ../../../configure CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --enable-ruledit --enable-ai-static=stub --with-cacert-path="./ssl/certs/ca-bundle.crt" $(EXTRA_CONFIG)
	# make
	make -C build-ruledit
	make -C build-ruledit/translations/ruledit update-po
	make -C build-ruledit/bootstrap langstat_ruledit.txt

build-freeciv-gtk3: build-freeciv-common

build-freeciv-gtk2: build-freeciv-common

build-freeciv-sdl2: build-freeciv-common

build-freeciv-sdl: build-freeciv-common

build-freeciv-qt: build-freeciv-common

# install Freeciv

install-freeciv-common:
	# make install
	make -C build-$(GUI) DESTDIR=`pwd`/install-$(GUI) install
	# reorder directory layout
	mv install-$(GUI)/usr/local/bin/* install-$(GUI)/
	mv install-$(GUI)/usr/local/etc install-$(GUI)/
	mv install-$(GUI)/usr/local/share/freeciv install-$(GUI)/data
	mkdir -p install-$(GUI)/share
	mv install-$(GUI)/usr/local/share/locale install-$(GUI)/share/
	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
	mkdir -p install-$(GUI)/debuginfo
	cp build-$(GUI)/gen_headers/fc_config.h install-$(GUI)/debuginfo
	mkdir -p install-$(GUI)/doc/freeciv/installer
	cp licenses/COPYING.installer install-$(GUI)/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-$(GUI)/usr
	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
	strip install-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/

install-freeciv-gtk3: install-freeciv-common

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl2: install-freeciv-common
	# add CJK fonts
	cp /opt/fireflysung-1.3.0/fireflysung.ttf install-sdl2/data/themes/gui-sdl2/human/
	cp /opt/fireflysung-1.3.0/COPYRIGHT install-sdl2/data/themes/gui-sdl2/human/COPYING.fireflysung
	cp /opt/sazanami-20040629/sazanami-gothic.ttf install-sdl2/data/themes/gui-sdl2/human/
	cp /opt/sazanami-20040629/README install-sdl2/data/themes/gui-sdl2/human/COPYING.sazanami
	cp /opt/un-fonts/UnDotum.ttf install-sdl2/data/themes/gui-sdl2/human/
	cp /opt/un-fonts/COPYING install-sdl2/data/themes/gui-sdl2/human/COPYING.UnDotum

install-freeciv-sdl: install-freeciv-common
	# add CJK fonts
	cp /opt/fireflysung-1.3.0/fireflysung.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/fireflysung-1.3.0/COPYRIGHT install-sdl/data/themes/gui-sdl/human/COPYING.fireflysung
	cp /opt/sazanami-20040629/sazanami-gothic.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/sazanami-20040629/README install-sdl/data/themes/gui-sdl/human/COPYING.sazanami
	cp /opt/un-fonts/UnDotum.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/un-fonts/COPYING install-sdl/data/themes/gui-sdl/human/COPYING.UnDotum

install-freeciv-qt: install-freeciv-common
	# strip 'freeciv-ruledit' executable
	strip install-$(GUI)/freeciv-ruledit.exe
	cp freeciv-ruledit.cmd install-$(GUI)/

install-ruledit-dir:
	mkdir -p install-ruledit/share

install-ruledit: install-ruledit-dir
	# make install
	make -C build-ruledit DESTDIR=`pwd`/install-ruledit install
	# reorder directory layout
	mv install-ruledit/usr/local/bin/* install-ruledit/
	mv install-ruledit/usr/local/share/freeciv install-ruledit/data
	mv install-ruledit/usr/local/share/locale install-ruledit/share/
	mv install-ruledit/usr/local/share/doc install-ruledit/doc
	mkdir -p install-ruledit/debuginfo
	cp build-ruledit/gen_headers/fc_config.h install-ruledit/debuginfo
	mkdir -p install-ruledit/doc/freeciv/installer
	cp licenses/COPYING.installer install-ruledit/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-ruledit/usr
	# strip 'freeciv-ruledit' executable
	strip install-ruledit/freeciv-ruledit.exe
	# add start menu files
	cp freeciv-ruledit.cmd Freeciv.url install-ruledit/

# install Freeciv environment

COMMON_DLLS := \
	exchndl.dll \
	freetype6.dll \
	intl.dll \
	libMagickCore-6.Q16-1.dll \
	libMagickWand-6.Q16-1.dll \
	libatk-1.0-0.dll \
	libbz2-2.dll \
	libcurl.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libeay32.dll \
	libffi-6.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	libgcc_s_dw2-1.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libiconv-2.dll \
	libidn-11.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libogg-0.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng14-14.dll \
	libpng15-15.dll \
	libpthread-2.dll \
	libsqlite3-0.dll \
	libvorbis-0.dll \
	libvorbisfile-3.dll \
	libxml2-2.dll \
	mgwhelp.dll \
	pthreadGC2.dll \
	ssleay32.dll \
	zlib1.dll

install-env-common:
	# add DLLs
	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-$(GUI)
	mkdir -p install-$(GUI)/ssl/certs
	cp /mingw32/ssl/certs/ca-bundle.crt install-$(GUI)/ssl/certs/

DEFAULT_FCMP_DLLS := \
	libgdk-3-0.dll \
	libgtk-3-0.dll

install-env-default-fcmp: install-env-common
	cp -R $(addprefix /bin/, $(DEFAULT_FCMP_DLLS)) install-$(GUI)
	# add additional GTK+3 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-3.0/
	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk30.mo -delete

GTK3_DLLS := \
	SDL2.dll \
	SDL2_mixer.dll

install-env-gtk3: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
	mkdir -p install-$(GUI)/share/glib-2.0/schemas
	cp /share/glib-2.0/schemas/gschemas.compiled install-$(GUI)/share/glib-2.0/schemas/

GTK2_DLLS := \
	libgdk-win32-2.0-0.dll \
	libgtk-win32-2.0-0.dll \
	SDL2.dll \
	SDL2_mixer.dll

install-env-gtk2: install-env-common
	# add DLLs
	cp -R $(addprefix /bin/, $(GTK2_DLLS)) install-$(GUI)
	# add additional GTK+2 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-2.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-2.0/
	cp -R /lib/gtk-2.0/2.10.0 install-$(GUI)/lib/gtk-2.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk20.mo -delete

SDL2_DLLS := \
	libpng16-16.dll \
	libSDL2_gfx-1-0-0.dll \
	SDL2.dll \
	SDL2_mixer.dll \
	SDL2_image.dll \
	SDL2_ttf.dll

install-env-sdl2: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(SDL2_DLLS)) install-$(GUI)

SDL_DLLS := \
	libpng12-0.dll \
	libSDL_gfx-15.dll \
	SDL.dll \
	SDL_mixer.dll \
	SDL_image.dll \
	SDL_ttf.dll

install-env-sdl: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(SDL_DLLS)) install-$(GUI)

QT_DLLS := \
	libstdc++-6.dll \
	Qt5Core.dll \
	Qt5Gui.dll \
	Qt5Widgets.dll \
	SDL2.dll \
	SDL2_mixer.dll

install-env-qt: install-env-common
	# add DLLs
	cp -R $(addprefix /bin/, $(QT_DLLS)) install-$(GUI)
	# add additional Qt files
	cp -R /plugins install-$(GUI)/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete

install-env-ruledit:
	# add DLLs
	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-ruledit
	cp -R $(addprefix /bin/, $(QT_DLLS)) install-ruledit
	# add additional Qt files
	cp -R /plugins install-ruledit/
	cp -R /share/locale install-ruledit/share/
	find install-ruledit/share/locale -type f -not -name "freeciv-ruledit.mo" -delete

# build installer

installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-$(GUI)-nsi.sh install-$(GUI) $(FREECIV_VERSION) > Freeciv-$(FREECIV_VERSION)-$(GUI).nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(FREECIV_VERSION)-$(GUI).nsi

installer-ruledit: clean-install-ruledit install-ruledit install-env-ruledit
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-ruledit-nsi.sh install-ruledit $(FREECIV_VERSION) > Freeciv-$(FREECIV_VERSION)-ruledit.nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(FREECIV_VERSION)-ruledit.nsi

wrap-gtk3: build-freeciv-gtk3 installer-common

wrap-gtk2: build-freeciv-gtk2 installer-common

wrap-sdl2: build-freeciv-sdl2 installer-common

wrap-sdl: build-freeciv-sdl installer-common

wrap-qt: build-freeciv-qt installer-common

wrap-ruledit: build-freeciv-ruledit installer-ruledit


# cleanup

clean-build-common:
	rm -rf build-$(GUI)

clean-build-ruledit:
	rm -rf build-ruledit

clean-install-common:
	rm -rf install-$(GUI)
	./cleanup_checkout.sh ../..

clean-install-ruledit:
	rm -rf install-ruledit
	./cleanup_checkout.sh ../..

clean-installer-common:
	rm -f Output/Freeciv-*-$(GUI)-setup.exe
	rm -f Freeciv-*-$(GUI).nsi

clean-installer-ruledit:
	rm -f Output/Freeciv-ruledit-*-setup.exe
	rm -f Freeciv-*-ruledit.nsi

clean:
	make GUI=gtk3 clean-build-common clean-install-common clean-installer-common
	make GUI=gtk2 clean-build-common clean-install-common clean-installer-common
	make GUI=sdl2 clean-build-common clean-install-common clean-installer-common
	make GUI=sdl clean-build-common clean-install-common clean-installer-common
	make GUI=qt clean-build-common clean-install-common clean-installer-common
	make clean-build-ruledit clean-install-ruledit clean-installer-ruledit

=== win32/installer_msys2/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# See doc/README.msys2 for building instructions.
#

#
# Variable setup
#

WINARCH=$(shell ./win_arch.sh)

ifeq ($(WINARCH),win64)
ARCHDIR=mingw64
LIBGCCDLL=libgcc_s_seh-1.dll
GCCDLL=gcc_s-seh-1.dll
CRYPTOLIB_SUFFIX=-x64
else
ARCHDIR=mingw32
LIBGCCDLL=libgcc_s_dw2-1.dll
GCCDLL=gcc_s-1.dll
CRYPTOLIB_SUFFIX=
endif

ifeq ($(MIN_WIN_VER),)
MIN_WIN_VER=0x0601
endif

INSTSUB=${ARCHDIR}

# msys2 has dlls in...
DLLPATH_PREFIX=/$(ARCHDIR)/bin/

#
# Make rules
#

# gtk2-installer and gtk3-installer are not built by default
all: sdl2-installer ruledit-installer qt-installer gtk3.22-installer

gtk3-installer:
	make GUI=gtk3 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3

gtk3.22-installer:
	make GUI=gtk3.22 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk3

gtk2-installer:
	make GUI=gtk2 FCMP=gtk2 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-gtk2

sdl2-installer:
	make GUI=sdl2 FCMP=gtk3 EXTRA_CONFIG="--disable-ruledit $(EXTRA_CONFIG)" wrap-sdl2

qt-installer:
	make GUI=qt FCMP=qt EXTRA_CONFIG="--with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)" wrap-qt

ruledit-installer:
	make wrap-ruledit

# Autogen.sh here will make ./win_arch.sh to work.
# The $(WINARCH) value we got for this run is not good. The new run
# launched from this target will pick correct value.
snapshot:
	cd ../.. ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" all


# build Freeciv

build-freeciv-common:
	# create build directory
	mkdir -p build-$(WINARCH)-$(GUI)
	# configure
	cd build-$(WINARCH)-$(GUI); ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --enable-client=$(GUI) --with-followtag="win32" --without-readline --disable-sys-lua --enable-fcdb=sqlite3 --with-sqlite3-prefix=/$(ARCHDIR) --enable-fcmp=$(FCMP) --with-cacert-path="./ssl/certs/ca-bundle.crt" $(EXTRA_CONFIG)
	# make
	make -C build-$(WINARCH)-$(GUI) $(MAKE_PARAMS)
	make -C build-$(WINARCH)-$(GUI)/translations/freeciv update-po
	make -C build-$(WINARCH)-$(GUI)/bootstrap langstat_freeciv.txt

build-freeciv-ruledit:
	# create build directory
	mkdir -p build-$(WINARCH)-ruledit
	# configure
	cd build-$(WINARCH)-ruledit; ../../../configure FREECIV_LABEL_FORCE="<base>-msys2" CPPFLAGS="-D_WIN32_WINNT=$(MIN_WIN_VER)" --disable-client --disable-server --disable-fcmp --disable-freeciv-manual --disable-sys-lua --enable-ruledit --enable-ai-static=stub --with-cacert-path="./ssl/certs/ca-bundle.crt" --with-qt5-includes=/$(ARCHDIR)/include --with-qt5-libs=/$(ARCHDIR)/lib $(EXTRA_CONFIG)
	# make
	make -C build-$(WINARCH)-ruledit $(MAKE_PARAMS)
	make -C build-$(WINARCH)-ruledit/translations/ruledit update-po
	make -C build-$(WINARCH)-ruledit/bootstrap langstat_ruledit.txt

build-freeciv-gtk3: build-freeciv-common

build-freeciv-gtk2: build-freeciv-common

build-freeciv-sdl2: build-freeciv-common

build-freeciv-qt: build-freeciv-common

# install Freeciv

install-freeciv-common:
	# make install
	make -C build-$(WINARCH)-$(GUI) DESTDIR=`pwd`/install-$(WINARCH)-$(GUI) $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/bin/* install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/etc install-$(WINARCH)-$(GUI)/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/freeciv install-$(WINARCH)-$(GUI)/data
	mkdir -p install-$(WINARCH)-$(GUI)/share
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/locale install-$(WINARCH)-$(GUI)/share/
	mv install-$(WINARCH)-$(GUI)/$(INSTSUB)/share/doc install-$(WINARCH)-$(GUI)/doc
	mkdir -p install-$(WINARCH)-$(GUI)/debuginfo
	cp build-$(WINARCH)-$(GUI)/gen_headers/fc_config.h install-$(WINARCH)-$(GUI)/debuginfo
	mkdir -p install-$(WINARCH)-$(GUI)/doc/freeciv/installer
	cp licenses/COPYING.installer install-$(WINARCH)-$(GUI)/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-$(WINARCH)-$(GUI)/$(INSTSUB)
	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
	strip install-$(WINARCH)-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(WINARCH)-$(GUI)/

install-freeciv-gtk3: install-freeciv-common

install-freeciv-gtk3.22: install-freeciv-common

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl2: install-freeciv-common

install-freeciv-qt: install-freeciv-common
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-$(GUI)/freeciv-ruledit.exe
	cp freeciv-ruledit.cmd install-$(WINARCH)-$(GUI)/

install-ruledit-dir:
	mkdir -p install-$(WINARCH)-ruledit/share

install-ruledit: install-ruledit-dir
	# make install
	make -C build-$(WINARCH)-ruledit DESTDIR=`pwd`/install-$(WINARCH)-ruledit/ $(MAKE_PARAMS) install
	# reorder directory layout
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/bin/* install-$(WINARCH)-ruledit/
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/freeciv install-$(WINARCH)-ruledit/data
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/locale install-$(WINARCH)-ruledit/share/
	mv install-$(WINARCH)-ruledit/$(INSTSUB)/share/doc install-$(WINARCH)-ruledit/doc
	mkdir -p install-$(WINARCH)-ruledit/debuginfo
	cp build-$(WINARCH)-ruledit/gen_headers/fc_config.h install-$(WINARCH)-ruledit/debuginfo
	mkdir -p install-$(WINARCH)-ruledit/doc/freeciv/installer
	cp licenses/COPYING.installer install-$(WINARCH)-ruledit/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-$(WINARCH)-ruledit/$(INSTSUB)
	# strip 'freeciv-ruledit' executable
	strip install-$(WINARCH)-ruledit/freeciv-ruledit.exe
	# add start menu files
	cp freeciv-ruledit.cmd Freeciv.url install-$(WINARCH)-ruledit/

# install Freeciv environment

SOUND_DLLS := \
	SDL2.dll \
	SDL2_mixer.dll \
	libFLAC-8.dll \
	libfluidsynth-2.dll \
	libmodplug-1.dll \
	libvorbis-0.dll \
	libvorbisenc-2.dll \
	libvorbisfile-3.dll \
	libogg-0.dll \
	libportaudio-2.dll \
	libsndfile-1.dll \
	libmpg123-0.dll \
	libopusfile-0.dll \
	libopus-0.dll

COMMON_DLLS := \
	libstdc++-6.dll \
	libcrypto-1_1${CRYPTOLIB_SUFFIX}.dll \
	libpsl-5.dll \
	libssl-1_1${CRYPTOLIB_SUFFIX}.dll \
	libidn2-0.dll \
	libnghttp2-14.dll \
	libssh2-1.dll \
	libcurl-4.dll \
	libgmp-10.dll \
	libp11-kit-0.dll \
	libtasn1-6.dll \
	libatk-1.0-0.dll \
	libbz2-1.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libffi-7.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	$(LIBGCCDLL) \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libiconv-2.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng16-16.dll \
	libxml2-2.dll \
	zlib1.dll \
	libwinpthread-1.dll \
	libsqlite3-0.dll \
	exchndl.dll \
	mgwhelp.dll \
	libMagickWand-7.Q16HDRI-7.dll \
	libMagickCore-7.Q16HDRI-7.dll \
	libgomp-1.dll \
	libfftw3-3.dll \
	liblcms2-2.dll \
	liblqr-1-0.dll \
	libltdl-7.dll \
	libraqm-0.dll \
	libfribidi-0.dll \
	libexpat-1.dll \
	libbrotlidec.dll \
	libbrotlicommon.dll \
	libreadline8.dll \
	libtermcap-0.dll \
	libssp-0.dll \
	libzstd.dll \
	$(SOUND_DLLS)

install-env-common:
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(COMMON_DLLS)) install-$(WINARCH)-$(GUI)/
	mkdir -p install-$(WINARCH)-$(GUI)/ssl/certs
	cp -R /$(ARCHDIR)/ssl/certs/ca-bundle.crt install-$(WINARCH)-$(GUI)/ssl/certs/

DEFAULT_FCMP_DLLS := \
	libgdk-3-0.dll \
	libgtk-3-0.dll \
	libharfbuzz-0.dll \
	libepoxy-0.dll \
	libgraphite2.dll \
	libpangoft2-1.0-0.dll \
	libthai-0.dll \
	libdatrie-1.dll \
	libpcre-1.dll \
	libunistring-2.dll \
	librsvg-2-2.dll

install-env-default-fcmp: install-env-common
	cp -R $(addprefix $(DLLPATH_PREFIX), $(DEFAULT_FCMP_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional GTK+3 files
	mkdir -p install-$(WINARCH)-$(GUI)/etc
	cp -R /$(ARCHDIR)/etc/gtk-3.0 install-$(WINARCH)-$(GUI)/etc/
	mkdir -p install-$(WINARCH)-$(GUI)/share/icons
	cp -R /$(ARCHDIR)/share/icons/Adwaita install-$(WINARCH)-$(GUI)/share/icons/
	mkdir -p install-$(WINARCH)-$(GUI)/share/glib-2.0/schemas
	cp /$(ARCHDIR)/share/glib-2.0/schemas/gschemas.compiled install-$(WINARCH)-$(GUI)/share/glib-2.0/schemas/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gtk-3.0/
	cp -R /$(ARCHDIR)/lib/gtk-3.0/* install-$(WINARCH)-$(GUI)/lib/gtk-3.0/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gdk-pixbuf-2.0/
	cp -R /$(ARCHDIR)/lib/gdk-pixbuf-2.0/* install-$(WINARCH)-$(GUI)/lib/gdk-pixbuf-2.0/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk30.mo -delete

install-env-gtk3: install-env-default-fcmp

install-env-gtk3.22: install-env-default-fcmp

GTK2_DLLS := \
	libgdk-win32-2.0-0.dll \
	libgtk-win32-2.0-0.dll \
	libharfbuzz-0.dll \
	libpangoft2-1.0-0.dll \
	libpcre-1.dll

install-env-gtk2: install-env-common
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(GTK2_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional GTK+2 files
	mkdir -p install-$(WINARCH)-$(GUI)/etc
	cp -R /$(ARCHDIR)/etc/gtk-2.0 install-$(WINARCH)-$(GUI)/etc/
	mkdir -p install-$(WINARCH)-$(GUI)/lib/gtk-2.0/
	cp -R /$(ARCHDIR)/lib/gtk-2.0/2.10.0 install-$(WINARCH)-$(GUI)/lib/gtk-2.0/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk20.mo -delete

SDL2_DLLS := \
	libSDL2_gfx-1-0-0.dll \
	SDL2_image.dll \
	SDL2_ttf.dll \
	libjpeg-8.dll \
	libtiff-5.dll \
	libwebp-7.dll \
	libzstd.dll \
	libdeflate.dll

install-env-sdl2: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(SDL2_DLLS)) install-$(WINARCH)-$(GUI)/

QT_DLLS := \
	libicuin68.dll \
	libicuuc68.dll \
	libicudt68.dll \
	libpcre16-0.dll \
	libharfbuzz-0.dll \
	libsqlite3-0.dll \
	Qt5Core.dll \
	Qt5Gui.dll \
	Qt5Widgets.dll \
	libgraphite2.dll \
	libpcre-1.dll \
	libpcre2-16-0.dll \
	libunistring-2.dll \
	libbrotlidec.dll \
	libbrotlicommon.dll \
	libdouble-conversion.dll \
	libzstd.dll

install-env-qt: install-env-common
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(QT_DLLS)) install-$(WINARCH)-$(GUI)/
	# add additional Qt files
	cp -R /$(ARCHDIR)/share/qt5/plugins install-$(WINARCH)-$(GUI)/
	cp -R /$(ARCHDIR)/share/locale install-$(WINARCH)-$(GUI)/share/
	find install-$(WINARCH)-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete

RULEDIT_DLLS := \
        libstdc++-6.dll \
	libcrypto-1_1${CRYPTOLIB_SUFFIX}.dll \
	libpsl-5.dll \
	libssl-1_1${CRYPTOLIB_SUFFIX}.dll \
	libidn2-0.dll \
	libnghttp2-14.dll \
	libssh2-1.dll \
	libcurl-4.dll \
	libgmp-10.dll \
	libp11-kit-0.dll \
	libtasn1-6.dll \
	libatk-1.0-0.dll \
	libbz2-1.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libffi-7.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	$(LIBGCCDLL) \
	libglib-2.0-0.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libiconv-2.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng16-16.dll \
	libxml2-2.dll \
	zlib1.dll \
	libwinpthread-1.dll \
	libgraphite2.dll \
	libpcre-1.dll \
	libMagickWand-7.Q16HDRI-7.dll \
	libMagickCore-7.Q16HDRI-7.dll \
	libgomp-1.dll \
	libfftw3-3.dll \
	liblcms2-2.dll \
	liblqr-1-0.dll \
	libltdl-7.dll \
	libraqm-0.dll \
	libfribidi-0.dll \
	libexpat-1.dll \
	libdouble-conversion.dll \
	libzstd.dll

install-env-ruledit:
	# add DLLs
	cp -R $(addprefix $(DLLPATH_PREFIX), $(RULEDIT_DLLS)) install-$(WINARCH)-ruledit/
	cp -R $(addprefix $(DLLPATH_PREFIX), $(QT_DLLS)) install-$(WINARCH)-ruledit/
	# add additional Qt files
	cp -R /$(ARCHDIR)/share/qt5/plugins install-$(WINARCH)-ruledit/
	cp -R /usr/share/locale install-$(WINARCH)-ruledit/share/
	find install-$(WINARCH)-ruledit/share/locale -type f -not -name "freeciv-ruledit.mo" -delete

# build installer

installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
	# extract Freeciv version

=== debian/changelog ===
freeciv (2.6.6-1) unstable; urgency=medium

  * New upstream version 2.6.6
  * Build-depend on lua-5.3.
    Thanks to Marko Lindqvist for the report. (Closes: #996746)
  * Remove gnulib from B-D.

 -- Markus Koschany <apo@debian.org>  Sat, 12 Feb 2022 11:48:11 +0100

freeciv (2.6.5-1) unstable; urgency=medium

  * New upstream version 2.6.5.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Wed, 08 Sep 2021 11:51:23 +0200

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
 Clint Adams <clint@debian.org>,
 Karl Goetz <karl@kgoetz.id.au>,
 Markus Koschany <apo@debian.org>
Standards-Version: 4.6.0
Homepage: http://www.freeciv.org/
Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
Vcs-Browser: https://salsa.debian.org/games-team/freeciv
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libgtk-3-dev (>= 3.22),
 libgtk2.0-dev,
 liblua5.3-dev,
 liblzma-dev,
 libreadline-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-ttf-dev,
 libsdl2-mixer-dev,
 libsdl2-gfx-dev,
 libsqlite3-dev,
 libtolua-dev,
 qtbase5-dev,
 qtbase5-dev-tools,
 zlib1g-dev

Package: freeciv
Architecture: all
Multi-Arch: foreign
Depends:
 freeciv-client-gtk3,
 freeciv-data (= ${source:Version}),
 ${misc:Depends}
Description: Civilization turn based strategy game
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This metapackage will install the recommended client to play Freeciv.

Package: freeciv-client-extras
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
 select and download custom rulesets and tilesets for the game.

Package: freeciv-client-gtk
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 gtk2-engines-pixbuf,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK 2 version of Freeciv. It is recommended to install the
 »freeciv-client-gtk3« package and to use the GTK 3 client unless you really
 want to try this one.

Package: freeciv-client-gtk3
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (GTK 3 client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK 3 version of Freeciv. It is the most sophisticated and
 recommended client to play the game.

Package: freeciv-client-qt
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (Qt client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Qt version of Freeciv.

Package: freeciv-client-sdl
Architecture: any
Depends:
 fonts-arphic-uming,
 fonts-dejavu-core,
 fonts-ipafont-gothic,
 fonts-noto-cjk,
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv is based on SDL, the Simple DirectMedia Layer library.
 It is recommended to install the »freeciv-client-gtk3« package and to use the
 GTK 3 client unless you really want to try this one. The SDL client offers a
 different look&feel but lacks some functionality of the GTK 3 client.

Package: freeciv-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-server
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 freeciv
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-sound-standard
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Export all hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	# Make sure we build with system libraries
	$(RM) -r dependencies/lua-5.3
	dh_auto_build

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		--cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc \
		--prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no \
		--enable-client=gtk2,gtk3.22,sdl2,qt \
		--enable-fcmp=gtk3 \
		--enable-ipv6=yes \
		--disable-silent-rules \
		--enable-fcdb=sqlite3 \
		--disable-freeciv-manual \
		--with-missinglist

override_dh_install:
	# Delete man pages which are unneeded.
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk3.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk3.22.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-qt.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-xaw.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-manual.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-cli.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-qt.6
	# Debian doesn't want .la files.
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Should these have been installed here at all?
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	# Remove docs in debian/tmp/usr/share/doc/freeciv/
	rm -f debian/tmp/usr/share/doc/freeciv/*
	# Continue install
	dh_install
	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/*.ttf
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/COPYING.*

override_dh_installdocs:
	# Don't install Makefiles, INSTALL files and man pages with dh_installdocs.
	dh_installdocs --exclude="Makefile" --exclude="INSTALL" --exclude="man"

override_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	-rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	-rm -rf debian/freeciv/usr/share/doc/freeciv
	-rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	-rm -rf debian/freeciv-client-gtk3/usr/share/doc/freeciv-client-gtk3
	-rm -rf debian/freeciv-client-qt/usr/share/doc/freeciv-client-qt
	-rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	-rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras
	# After deleting we can link correctly
	dh_link

override_dh_clean:
	dh_clean
	find . -name '*.o' -delete
	find . -name '.libs' -delete
	find . -name '.dists' -delete

## freeciv 3.0.4

=== debian/changelog ===
freeciv (3.0.4-1) unstable; urgency=medium

  * New upstream version.
  * No longer build gtk3 client as we've got the gtk3.22 one. Closes: #1021468
  * Remove patches applied upstream.

 -- Tobias Frost <tobi@debian.org>  Wed, 12 Oct 2022 16:36:33 +0200

freeciv (3.0.3-3) unstable; urgency=medium

  * Upload to unstable.
  * Drop GTK2 client, declared unmaintained upstream. Old installs will
    automatically get the GTK3.22 client. (Closes: #967353)
  * Provide freeciv-client versioned virtual package, so that other packages
    can more conviently depend on the clients.  Drop preinst scripts, since
    the alternatives system support was dropped before oldstable.

 -- Tobias Frost <tobi@debian.org>  Mon, 05 Sep 2022 13:03:44 +0200

freeciv (3.0.3-3~exp1) experimental; urgency=medium

  * Upload to experimental to clear NEW:
  * New binary package to for the tools ruleup and ruledit.

 -- Tobias Frost <tobi@debian.org>  Thu, 01 Sep 2022 16:47:10 +0200

freeciv (3.0.3-2) unstable; urgency=medium

  * Also install server desktop file.

 -- Tobias Frost <tobi@debian.org>  Thu, 01 Sep 2022 00:47:49 +0200

freeciv (3.0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #631775, #1013429, #1017579)
  * Refreshing patches.
  * Fix cleaning of project to prepare for build two time… (Closes: #1013426)
    * remove lua in d/clean, not just prior to build
    * that allows one to drop some overrides from d/rules
    * Use upstreams configure flag enable-sys-lua=yes, but that still needs
      patching of configure.ac and a Makefile.am.
  * Break/Replaces on freeciv-data are no longer needed (version fulfilled
    since oldstable.)
  * Retire package freeciv-sound-standard and merge it into
    freeciv-data. (Closes: #984807)
  * Update d/copyright.
  * Bump S-V to 4.6.1, no changes needed.
  * Fix manpage section of ruledit.6 (manpage.patch).
  * Add symlink to freeciv-gtk3.6 manpage.
  * Change dh_missing policy to fail-missing.
  * Specify Rules-Requires-Root:no.
  * Simplify d/rules.
  * Add patch with spelling fixes.
  * Adding myself as uploaders.
  * Removing Karl Goetz from uploaders. Thanks for your past work!

 -- Tobias Frost <tobi@debian.org>  Wed, 31 Aug 2022 20:39:45 +0200

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
 Clint Adams <clint@debian.org>,
 Markus Koschany <apo@debian.org>,
 Tobias Frost <tobi@debian.org>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.freeciv.org/
Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
Vcs-Browser: https://salsa.debian.org/games-team/freeciv
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libgtk-3-dev,
 libgtk2.0-dev,
 liblua5.3-dev,
 liblzma-dev,
 libreadline-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-ttf-dev,
 libsdl2-mixer-dev,
 libsdl2-gfx-dev,
 libsqlite3-dev,
 libtolua-dev,
 qtbase5-dev,
 qtbase5-dev-tools,
 zlib1g-dev

Package: freeciv
Architecture: all
Multi-Arch: foreign
Depends:
 freeciv-client-gtk3,
 freeciv-data (= ${source:Version}),
 ${misc:Depends}
Description: Civilization turn based strategy game
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This metapackage will install the recommended client to play Freeciv.

Package: freeciv-client-extras
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
 select and download custom rulesets and tilesets for the game.

# This package can be removed after bookworm has been released.
Package: freeciv-client-gtk
Section: oldlibs
Architecture: any
Depends:
 freeciv (>= ${source:Version}), ${misc:Depends}, freeciv-data
Description: Civilization turn based strategy game (GTK 2 client transitional package)
 This is a transitional package. It can safely be removed.
 .
 As the GTK2 Freeciv client has been removed, this package will pull in
 the default Freeciv client.

Package: freeciv-client-gtk3
Provides: freeciv-client (= ${binary:Version})
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
Description: Civilization turn based strategy game (GTK 3 client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK 3 version of Freeciv. It is the most sophisticated and
 recommended client to play the game.

Package: freeciv-client-qt
Provides: freeciv-client (= ${binary:Version})
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
Description: Civilization turn based strategy game (Qt client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Qt version of Freeciv.

Package: freeciv-client-sdl
Provides: freeciv-client (= ${binary:Version})
Architecture: any
Depends:
 fonts-arphic-uming,
 fonts-dejavu-core,
 fonts-ipafont-gothic,
 fonts-noto-cjk,
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv is based on SDL, the Simple DirectMedia Layer library.
 It is recommended to install the »freeciv-client-gtk3« package and to use the
 GTK 3 client unless you really want to try this one. The SDL client offers a
 different look&feel but lacks some functionality of the GTK 3 client.

Package: freeciv-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Breaks: freeciv-sound-standard (<< 2.6.6-2)
Replaces: freeciv-sound-standard (<< 2.6.6-2)
Description: Civilization turn based strategy game (data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data and sound files for Freeciv.

Package: freeciv-server
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 freeciv
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-ruleset-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server
Suggests:
 freeciv
Description: Civilization turn based strategy game (ruleset tools)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 The package contains tools to update and edit rulesets.
